All cloud folders show in Nautilus as synced even though I've only selected 1 cloud folder to sync

Bug #741835 reported by Matt Griffin on 2011-03-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu One Client
High
Alejandro J. Cura
ubuntuone-client (Ubuntu)
Medium
Unassigned
Natty
Medium
Unassigned

Bug Description

Steps to recreate.
1. Setup an Ubuntu One account and sync multiple Cloud Folders outside of ~/Ubuntu One.
2. Sync all files and folders with your personal cloud
3. Setup another computer with Ubuntu One and only sync 1 of the Cloud Folders using the Control Panel

I would expect that Nautilus would show that I've synced 1 Cloud Folder. Other folders that have the same name as my Cloud Folders would not show a synced emblem.
It actually shows all of my Cloud Folders selected from the first computer as synced. This tells me that all of my Cloud Folders are syncing with the second computer even though I've only selected one of them... so this is confusing.

Related branches

dobey (dobey) on 2011-03-24
Changed in ubuntuone-client:
assignee: nobody → Ubuntu One Desktop+ team (ubuntuone-desktop+)
importance: Undecided → Medium
status: New → Confirmed
tags: added: u1-natty
Natalia Bidart (nataliabidart) wrote :

Setting to confirmed as per:

(02:05:46 PM) mattgriffin: dobey: i see emblems on folders in nautilus on Cloud Folders that I'm not syncing on my netbook
(02:06:18 PM) dobey: mattgriffin: so you have a local folder that is the same name as one you've synced from elsewhere?
(02:06:19 PM) nessita: dobey: maybe the plugin is setting the emblem to every listed UDF, instead of filtering those which subscribed is True?
(02:07:13 PM) dobey: maybe
(02:07:16 PM) mattgriffin: dobey: right. a folder with the same name exists on my netbook. for example, i'm not syncing my ~/Music folder to my netbook (disabled folder in Control Panel) but Nautilus shows the checked emblem on the netbook's ~/Music folder
(02:07:46 PM) dobey: mattgriffin: ok, i see. i just replicated it with my new laptop, so i can confirm it does happen

Changed in ubuntuone-client:
importance: Medium → High
tags: added: desktop+ u1-nautilus
dobey (dobey) on 2011-03-24
Changed in ubuntuone-client (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in ubuntuone-client:
assignee: Ubuntu One Desktop+ team (ubuntuone-desktop+) → Alejandro J. Cura (alecu)
Changed in ubuntuone-client:
status: Confirmed → In Progress
Changed in ubuntuone-client:
status: In Progress → Fix Committed
dobey (dobey) on 2011-04-11
Changed in ubuntuone-client:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 1.6.0-0ubuntu1

---------------
ubuntuone-client (1.6.0-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Avoid conflict when same file already exists locally (LP: #711389)
    - Must move fils to trash on deletion (LP: #690673)
    - Support disconnection during initial connect attempt (LP: #711211)
    - Log version number on startup (LP: #715455)
    - Memory usage too high (LP: #721483)
    - Unsubscribed folders show as synced, if they exist (LP: #741835)
    - gnome-settings-daemon crash in g_str_hash (LP: #744383)
    - Should not re-queue uploads directly (LP: #744608)
    - No feedback when creating folder from symlink fails (LP: #747299)
    - [FFE] Use API to set urgency from background process (LP: #747677)
    - Open control panel to volumes when quota exceeded (LP: #702176)
    - Set the launcher to urgent when quota exceeded (LP: #702183)
    - nautilus crash in g_str_hash (LP: #724882)
    - Disable/enable file sync is buggy (LP: #744980)

  [Chris Coulson]
  * gnome-settings-daemon crash in g_return_fail_if_warning (LP: #744980)
 -- Rodney Dawes <email address hidden> Sun, 10 Apr 2011 21:24:30 -0400

Changed in ubuntuone-client (Ubuntu Natty):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers